curl --request GET \
--url https://api.zavu.dev/v1/contacts/phone/{phoneNumber} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"availableChannels": [
"<string>"
],
"verified": true,
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "John Doe",
"phoneNumber": "+56912345678",
"primaryPhone": "+56912345678",
"primaryEmail": "john@example.com",
"countryCode": "CL",
"profileName": "John Doe",
"defaultChannel": "sms",
"channels": [
{
"id": "<string>",
"channel": "sms",
"identifier": "+14155551234",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z",
"countryCode": "US",
"label": "work",
"metrics": {
"successCount": 123,
"failureCount": 123,
"totalAttempts": 123,
"avgDeliveryTimeMs": 123,
"lastSuccessAt": "2023-11-07T05:31:56Z"
},
"lastInboundAt": "2023-11-07T05:31:56Z",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"suggestedMergeWith": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
E.164 phone number.
Contact details.
List of available messaging channels for this contact.
Whether this contact has been verified.
Show child attributes
Display name for the contact.
"John Doe"
DEPRECATED: Use primaryPhone instead. Primary phone number in E.164 format.
"+56912345678"
Primary phone number in E.164 format.
"+56912345678"
Primary email address.
"john@example.com"
"CL"
Contact's WhatsApp profile name. Only available for WhatsApp contacts.
"John Doe"
Preferred channel for this contact.
sms, whatsapp, telegram, email, instagram, voice All communication channels for this contact.
Show child attributes
ID of a contact suggested for merging.
curl --request GET \
--url https://api.zavu.dev/v1/contacts/phone/{phoneNumber} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"availableChannels": [
"<string>"
],
"verified": true,
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "John Doe",
"phoneNumber": "+56912345678",
"primaryPhone": "+56912345678",
"primaryEmail": "john@example.com",
"countryCode": "CL",
"profileName": "John Doe",
"defaultChannel": "sms",
"channels": [
{
"id": "<string>",
"channel": "sms",
"identifier": "+14155551234",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z",
"countryCode": "US",
"label": "work",
"metrics": {
"successCount": 123,
"failureCount": 123,
"totalAttempts": 123,
"avgDeliveryTimeMs": 123,
"lastSuccessAt": "2023-11-07T05:31:56Z"
},
"lastInboundAt": "2023-11-07T05:31:56Z",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"suggestedMergeWith": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}